const navigationBarHeight = (getApp().statusBarHeight + 44) + 'px'
const Http = require("../../utils/HttpBasics");
const config = require("../../config/config");
let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    navigationBarHeight,
    falgFloor:0,//楼座标识
    tierFalg:0,//楼层标识
    dataLsit:[],//楼层信息
    tmpePicture:'',//零时存放 图片
    url:"",
  },
  lookimg(){
    app.globalData.previewFlag = true
    wx.previewImage({
      current: this.data.tmpePicture, // 当前显示图片的http链接
      urls: [this.data.tmpePicture] // 需要预览的图片http链接列表
    })
  },
  
  setFalgFloor(e){//设置选中楼层
    let index = e.currentTarget.dataset.index
    this.setData({
      falgFloor:index,
      tierFalg:0,
    })
    let tmepimg = ''
    if (this.data.dataLsit[index].floors[0].floorMaps && this.data.dataLsit[index].floors[0].floorMaps.length != 0) {
      tmepimg = this.data.dataLsit[index].floors[0].floorMaps[0].url
    } else {
      tmepimg = ''
    }
    this.setData({
      tmpePicture: tmepimg
    })
  },
  setTierFalg(e){//设置选中楼层
    let index = e.currentTarget.dataset.index
    let tmepimg = ''
    if (this.data.dataLsit[this.data.falgFloor].floors[index].floorMaps && this.data.dataLsit[this.data.falgFloor].floors[index].floorMaps.length!=0){
      tmepimg = this.data.dataLsit[this.data.falgFloor].floors[index].floorMaps[0].url
    }else{
      tmepimg = ''
    }
    this.setData({
      tierFalg: index,
      tmpePicture: tmepimg
    })
  },

  // imgload(e){
  //   console.log(e.detail.width,e.detail.height)
  //   if (e.detail.width > e.detail.height){
  //     this.setData({
  //       img_W_H_flag :true
  //     })
  //   }else{
  //     this.setData({
  //       img_W_H_flag: false
  //     })
  //   }
  // },

  getStoreMap(){//获取楼层信息
    Http.get({
      url: config.api.getStoreMap
    }).then(res=>{
      //初始化地图
       let tmepimg = ''
      if (res.data[0].floors[0].floorMaps && res.data[0].floors[0].floorMaps.length != 0) {
        tmepimg = res.data[0].floors[0].floorMaps[0].url
      } else {
        tmepimg = ''
      }
      //拿取第一张地图
      this.setData({
        dataLsit:res.data,
        tmpePicture: tmepimg
      })
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getStoreMap()
    this.setData({
      url: config.url +'/wapmaphtml/index.html'
    })
    console.log(this.data.url,"url")
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})